Subject: re: Weird NT problem
From: [email-masked] (John Cerney)

21 Apr 1997 14:10:09 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: John Cerney <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7Bit
X-Mailer: BeyondMail for Windows/Professional 2.3
Original-To: [email-masked]
X-BeyondMail-Priority: 1
Conversation-ID: <[email-masked]>
In-Reply-To: <[email-masked]>
Original-Cc: [email-masked]
X-Receipt-From-Agent: true
Original-Sender: [email-masked]

>  
>  I'm getting this really weird problem on NT.  I've posted about this 
>  before I think but I was slightly mistaken about the actual 
>  circumstances, so I thought I'd repost this problem, so that if any of 
>  this rings a bell with any of you, even if you can't help but you've seen 
>  this happen, please email me so that I know I'm not alone...
>  
>  Basically, I've got this really big program (with symbols ~21MB) that 
>  links and runs under Win95 (well it kinda crashes but that's a different 
>  problem).  Attempts to debug under Win95 have proven fruitless, so I 
>  thought I'd give WinNT a try.  Well, the program compiles and links under 
>  NT as well, but the resulting executable won't run on NT.  But get this:  
>  It WILL run on Win95.  The NT error returned from CreateProcess() is 193, 
>  ERROR_BAD_EXE_FORMAT, and when trying to load the .exe from a command 
>  prompt, I get a dialog box that's telling me that it's not a valid 
>  Windows NT application.  I've got a few thoughts on why this might be 
>  happening, but I'm kind of ignorant about WinNT internals, and I've 
>  already searched the MicroSoft knowledge base and I can't find anything.  
>  I'm hoping someone out there (maybe from Cygnus?) can shed some light on 
>  this for me.  I'd really like to know what constitutes a 'valid Windows 
>  NT executable'.

I have seen this problem before, but I can't recall the exact circumstances
(sorry). 

You might try running the PEDUMP utility on it with /l /r /s options to see
what it says about the format. I have found that PEDUMP would find problems
with a executable file when Microsoft's dumpbin and Borland's tdump wouldn't.
PEDUMP is a fairly exhaustive Portable-Executable format dumper that appeared
in the March '94 Issue of the Microsoft Systems Journal. You can get it from
ftp://ftp.microsoft.com/developr/msj/MSJMAR94.ZIP.

-John Cerney
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".